<template>
  <div>
    <center>
      <h2>新增企业信息</h2>
      <el-divider></el-divider>
      <el-form ref="AddForm" :model="AddForm" :rules="registerRules" class="register-form">
        <el-form-item  prop="pass" style="width: 50%">
          <el-input type="text" v-model="AddForm.firmName" autocomplete="off" placeholder="企业名称"></el-input>
        </el-form-item>
        <el-form-item  prop="pass" style="width: 50%">
          <el-input type="text" v-model="AddForm.username" autocomplete="off" placeholder="企业登录账号"></el-input>
        </el-form-item>
        <el-form-item  prop="pass" style="width: 50%">
          <el-input type="text" v-model="AddForm.password" autocomplete="off" placeholder="企业登录密码"></el-input>
        </el-form-item>
        <el-form-item  prop="pass" style="width: 50%">
          <el-input type="text" v-model="AddForm.nickName" autocomplete="off" placeholder="公司注册人"></el-input>
        </el-form-item>
        <el-form-item  prop="pass" style="width: 50%">
          <el-input type="text" v-model="AddForm.email" autocomplete="off" placeholder="企业邮箱"></el-input>
        </el-form-item>
        <el-form-item  prop="pass" style="width: 50%">
          <el-input type="text" v-model="AddForm.phonenumber" autocomplete="off" placeholder="企业电话"></el-input>
        </el-form-item>
        <el-form-item>
          <el-button type="primary" @click="submitForm('ruleForm')">新增</el-button>
          <el-button @click="resetForm('ruleForm')">重置</el-button>
        </el-form-item>
      </el-form>
    </center>
  </div>
</template>

<script>
//这里可以导入其他文件（比如：组件，工具js，第三方插件js，json文件，图片文件等等）,
//例如：import 《组件名称》 from '《组件路径》,


import {resetForm} from "../../../utils/muyu";
import {addfirm} from "../../../api/firmoperations/firmmanage";

export default {
    name: "addfirm",
    //import引入的组件需要注入到对象中才能使用"
    components: {},
    props: {},
    data() {
      //这里存放数据"

      return {
        AddForm:{}
      };
    },
    //计算属性 类似于data概念",
    computed: {},
    //监控data中的数据变化",
    watch: {},
    //方法集合",
    methods: {resetForm,
    //新增企业
      submitForm(){
        addfirm(this.AddForm).then(response=>{
          alert(response.msg)
          if (response.code==200){
            this.$router.push("/firmoperations/firmmanage")
          }
        })
      }

    },
    //生命周期 - 创建完成（可以访问当前this实例）",
    created() {
    },
    //生命周期 - 挂载完成（可以访问DOM元素）",
    mounted() {
    },
    beforeCreate() {
    }, //生命周期 - 创建之前",
    beforeMount() {
    }, //生命周期 - 挂载之前",
    beforeUpdate() {
    }, //生命周期 - 更新之前",
    updated() {
    }, //生命周期 - 更新之后",
    beforeDestroy() {
    }, //生命周期 - 销毁之前",
    destroyed() {
    }, //生命周期 - 销毁完成",
    activated() {
    } //如果页面有keep-alive缓存功能，这个函数会触发",
  };
</script>
<style scoped>

</style>
